summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Lionel Young <lionelyoung@gmail.com>2012-08-11 14:21:24 -0400
committer Robby Workman <rworkman@slackbuilds.org>2012-08-14 22:30:50 -0500
commitfefebaa0a14ce7c6abe411b689246180d4cfdddf (patch)
tree76d0d34773cfa356d48e499e12172f0dabf8b6ff
parent101fb426987bb95a041af9b6f847baf31e5ccb1a (diff)
downloadslackbuilds-fefebaa0a14ce7c6abe411b689246180d4cfdddf.tar.gz
slackbuilds-fefebaa0a14ce7c6abe411b689246180d4cfdddf.tar.xz
system/collectd: Added (statistics collection daemon)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--system/collectd/README9
-rw-r--r--system/collectd/collectd.SlackBuild103
-rw-r--r--system/collectd/collectd.info10
-rw-r--r--system/collectd/doinst.sh14
-rw-r--r--system/collectd/slack-desc19
5 files changed, 155 insertions, 0 deletions
diff --git a/system/collectd/README b/system/collectd/README
new file mode 100644
index 0000000000..1ac01630cd
--- /dev/null
+++ b/system/collectd/README
@@ -0,0 +1,9 @@
+collectd is a daemon which collects system performance statistics periodically
+and provides mechanisms to store the values in a variety of ways, for example
+in RRD files and backends like Graphite.
+
+collectd gathers statistics about the system it is running on and stores this
+information. Those statistics can then be used to find current performance
+bottlenecks (i.e. performance analysis) and predict future system load (i.e.
+capacity planning). Or if you just want pretty graphs of your private server
+and are fed up with some homegrown solution you're at the right place, too ;).
diff --git a/system/collectd/collectd.SlackBuild b/system/collectd/collectd.SlackBuild
new file mode 100644
index 0000000000..e97a5d20a4
--- /dev/null
+++ b/system/collectd/collectd.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+# Generated by Alien's SlackBuild Toolkit: http://slackware.com/~alien/AST
+# Copyright 2009, 2010, 2011, 2012 Eric Hameleers, Eindhoven, Netherlands
+
+# Slackware build script for collectd
+
+# Written by Lionel Young <lionelyoung@gmail.com>
+
+# Based on http://slackbuilds.org/template.SlackBuild
+
+PRGNAM=collectd
+VERSION=${VERSION:-5.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --without-libgcrypt
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man/man3 $PKG/usr/man
+rmdir $PKG/usr/share/man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz ; rm $i
+done
+
+# Rename
+mv $PKG/usr/lib${LIBDIRSUFFIX}/perl5/site_perl $PKG/usr/lib${LIBDIRSUFFIX}/perl5/vendor_perl
+mv $PKG/etc/collectd.conf $PKG/etc/collectd.conf.new
+
+find $PKG -name "perllocal.pod" \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/collectd/collectd.info b/system/collectd/collectd.info
new file mode 100644
index 0000000000..432af3defc
--- /dev/null
+++ b/system/collectd/collectd.info
@@ -0,0 +1,10 @@
+PRGNAM="collectd"
+VERSION="5.1.0"
+HOMEPAGE="http://collectd.org"
+DOWNLOAD="http://collectd.org/files/collectd-5.1.0.tar.gz"
+MD5SUM="adc58a0d448a359ecf737da9398898c6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Lionel Young"
+EMAIL="lionelyoung@gmail.com"
+APPROVED="dsomero"
diff --git a/system/collectd/doinst.sh b/system/collectd/doinst.sh
new file mode 100644
index 0000000000..bbbfd14f1a
--- /dev/null
+++ b/system/collectd/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/collectd.conf.new
diff --git a/system/collectd/slack-desc b/system/collectd/slack-desc
new file mode 100644
index 0000000000..6a682a03cc
--- /dev/null
+++ b/system/collectd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+collectd: collectd (statistics collection daemon)
+collectd:
+collectd: collectd is a daemon which collects system performance statistics
+collectd: periodically and provides mechanisms to store the values in a
+collectd: variety of ways, for example in RRD files.
+collectd:
+collectd: Homepage: http://collectd.org
+collectd:
+collectd:
+collectd:
+collectd: